=== extra/install/scripts/Makefile ===
# Makefile for extra/install/scripts directory

include ../../../makeopts

install:
	#$(INSTALL_PROGRAM) .src/.Mnetscape $(BINDIR)

.PHONY: install
