=== debian/changelog ===
mahogany (0.60) stable; urgency=medium

  * More filter work, import/export of other mailboxes and addressbooks,
  * vCard support, more support for Windows, Calendar/scheduling module
  * openSSL support
  * Major changes: Filters added, PalmOS module added,
  *   subscription management for several remote folders,
  *   Wizards and HTML based help system.
  * Bug fixes, minor improvements, Windows release. 
  * Bug fix release, improved message editor. 
  * Initial Release.

 -- Karsten Ballueder <mahogany-developers@lists.sourceforge.net>  Sun, 25 Apr 1999 20:54:01 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "mahogany-developers@lists.sourceforge.net"
End:
