=== debian/control ===
Source: mahogany
Section: x11
Priority: optional
Maintainer: Karsten Ballueder <ballueder@gmx.net>
Standards-Version: 2.5.0

Package: mahogany
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libssl09, python
Description: Mahogany, powerful and user-friendly mail/news client for X11.
 Mahogany is a mail and news client for X11, using the gtk toolkit. It
 supports a wide range of standards and protocols, including IMAP and POP3.
 The aim of Mahogany is to be both as user friendly as possible and at the
 same time to provide the functionality and efficiency required from a daily
 used tool. Mahogany is a cross-platform project, allowing you to use the
 same program on MS Windows, too.
 Thanks to its built-in Python interpreter it can be extended by the user.
