=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

PATH:=$(PATH):/usr/local/bin

package=mahogany

build:
	$(checkdir)
	autoconf
# debian 2.1 has no wxGTK shared lib:
	if test "`cat /etc/debian_version`" = "2.1" ; \
	then \
		(./configure --prefix=/usr --with-modules=static) \
	else \
		(./configure --prefix=/usr) \
	fi
	make depend || true
	make -C include 
	make doc
	echo "############### DEBIAN COMPILATION STARTED #################"
	# If we are on Debian Slink, we need to build a semistatic binary:
	if test "`cat /etc/debian_version`" = "2.1" ; \
	then \
		( $(MAKE) all || true; \
		cd src && make semistatic ) \
	else \
		( $(MAKE) all ; \
		cd src && make ) \
	fi
	echo "############### DEBIAN COMPILATION ENDED #################"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) allclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README TODO 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
